# [tlstunnel]

A TLS reverse proxy.

- Automatic TLS with Let's Encrypt
- Route incoming connections to backends using Server Name Indication
- Support for the [PROXY protocol]

Example configuration:

    frontend example.org:443 {
        backend localhost:8080
    }

See the man page for more information.

## Contributing

Send patches on [Codeberg], report bugs on the [issue tracker].
Discuss in [#emersion on Libera Chat].

## License

MIT

[tlstunnel]: https://codeberg.org/emersion/tlstunnel
[PROXY protocol]: https://www.haproxy.org/download/2.3/doc/proxy-protocol.txt
[Codeberg]: https://codeberg.org/emersion/tlstunnel
[issue tracker]: https://todo.sr.ht/~emersion/tlstunnel
[#emersion on Libera Chat]: ircs://irc.libera.chat/#emersion
